<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="https://cdn.jsdelivr.net/npm/p5@1.2.0/lib/p5.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body>
<h3>Zeichne ein fröhlichen oder traurigen Smiley und Klicke auf "Identifizieren Lassen" um es von einer Künstlichen Intelegenz Identifizieren zu lassen</h3>
<button style="background: red;" onclick="clear_picture()">Bild Löschen</button>
<button style="background: blue;" onclick="identify()">Identifizieren Lassen</button>
<div class="modal" id="show">
    <div class="report-post">
        <label>Name</label><br>
        <div class="button-container">
            <div class="abort-button" onclick="$('#show').hide();">Schließen</div>
        </div>
    </div>
</div>
<style>
    .modal{
        position: fixed;
        width: 100%;
        height: 100vh;
        top:0;
        left:0;
        background-color: rgb(0, 0, 0, 0.5);
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .report-post input{
        padding: 10px;
        padding-top: 5px;
        background-color: black;
        color: #ECEFF1;
    }
    .abort-button{
        width: 120px;
        height: 35px;
        padding: 5px;
        text-align: justify;
        color:white;
        background-color:#B71C1C;
        grid-column: 2 / 3;
        transition: background-color 0.5s;
    }
    .submit-button:hover{
        background: white;
        color: black;
        transition: color 1s, background-color 0.3s;
    }
    .abort-button:hover{
        background: white;
        color: black;
        transition: color 1s, background-color 0.3s;
    }
    .report-post{
        padding: 20px;
        padding-top: 5px;
        background-color:#212121;
        color:#ECEFF1;
    }
    .button-container{
        margin-top: 40px;
        width: 240px;
        height: 35px;
        display: grid;
        align-items: center;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 4vh;
    }
</style>
<script>
    $("#show").hide();
    var picture = [];
    api_url = "http://127.0.0.1:5000/";
    function setup() {
        createCanvas(250, 250);
        clear_picture();
    }
    function clear_picture(){
        picture = [];
        for(var x = 0; x< 25; x++){
            var line = [];
            for(var y = 0; y< 25; y++){
                line.push(0);
            }
            picture.push(line);
        }
    }

    function draw() {
        fill(0)
        if(mouseIsPressed){
            console.log(picture)
            try{
                picture[Math.round((mouseX-5)/10)][Math.round((mouseY-5)/10)] = 255
            }catch{}
        }
        for(var x = 0; x< 25; x++){
            for(var y = 0; y< 25; y++){
                fill(picture[x][y])
                
                rect(10*x, 10*y, 10*x+10, 10*y+10);
            }
        }
        
    }
    async function identify(){
        let response = await fetch(api_url + 'predict', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({"picture":picture}),
        });
        data = await response.json()
        $("#show").show()
        
        $("#show .report-post label").html(JSON.stringify(data));
    }
</script>
</body>
</html>